#include <stdio.h>
#include <stdint.h>
#include <stdbool.h>
#include <string.h>
#include <sys/types.h>

bool check_password(char *param_1) {
  bool uVar1;
  //33X5yPBehep4
  if (((((param_1[0] == '3') && (param_1[1] == '3')) && (param_1[2] == 'X')) &&
      ((((param_1[3] == '5' && (param_1[4] == 'y')) &&
        ((param_1[5] == 'P' && ((param_1[6] == 'B' && (param_1[7] == 'e')))))) &&
       (param_1[8] == 'h')))) &&
     (((param_1[9] == 'e' && (param_1[10] == 'p')) && (param_1[11] == '4')))) {
    uVar1 = true;
  }
  else {
    uVar1 = false;
  }
  return uVar1;
}

uint64_t main(int param_1,char* *param_2) {
  size_t pw_length;
  bool pw_correct;
  uint64_t uVar3;

  if (param_1 == 2) {
    pw_length = strlen((char *)param_2[1]);
    if (pw_length == 12) {
      pw_correct = check_password(param_2[1]);
      if (pw_correct == false) {
        fwrite("\nWrong password ! Try again...\n\n",1,0x20,stderr);
        uVar3 = 1;
      }
      else {
        fprintf(stderr,"\nCongratulations ! The right password is indeed %s :-)\n\n",param_2[1]);
        uVar3 = 0;
      }
    }
    else {
      fwrite("\nWrong password ! Try again...\n\n",1,0x20,stderr);
      uVar3 = 1;
    }
  }
  else {
    fwrite("\nMSE-SRE Challenge VE3 --- Enjoy !\n",1,0x23,stderr);
    fprintf(stderr,"\nUsage: %s <password>\n\n",*param_2);
    uVar3 = 1;
  }
  return uVar3;
}
